package ru.scancode.GodexPrintTest;

import android.app.Dialog;
import android.os.Build;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ProgressBar;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.DialogFragment;

import static androidx.fragment.app.DialogFragment.STYLE_NORMAL;

public class wait_dlg extends DialogFragment {
    private ProgressBar prgBar;

    @NonNull
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            setStyle(STYLE_NORMAL, android.R.style.Theme_Material_Light_Dialog_Alert);
        }
        return super.onCreateDialog(null);
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View result=inflater.inflate(R.layout.wait_layout, container, false);
        getDialog().setTitle(R.string.please_wait);
        getDialog().setCancelable(false);

        prgBar=result.findViewById(R.id.progressBar);
        return result;
    }
}
