package ru.scancode.GodexPrintTest;

import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;

import java.util.List;

/**
 * Created by opavel on 21.08.2019.
 */
public class debugPage extends AbstractPage {
    private Button btnGetLabels;

    private View.OnClickListener clickListener = new View.OnClickListener() {
        @Override public void onClick(View v) {
            switch(v.getId()){
                case R.id.btnGetLabels:
                    Intent intent = new Intent(data_packer.PRINT_ACTION /*Intent.ACTION_VIEW*/);
                    intent.addCategory(Intent.CATEGORY_DEFAULT);
                    intent.setFlags(0);
                    intent.setPackage("ru.scancode.GodexPrintService");
                    //intent.setClassName("ru.scancode.GodexPrintService", ".activities.ClientActivity");
                    intent.putExtra(data_packer.EXTRA_DATA, "<?xml version=\"1.0\" encoding=\"UTF-8\"?> <cmd name=\"get_memory_state\"/>");
                    try {
                        List<ResolveInfo> info = m_parentActivity.getPackageManager().queryIntentActivities(intent, 0);
                        if(info.size() > 0) {
                            m_parentActivity.startActivityForResult(intent, 0);
                        }
                    }
                    catch (Exception ex){
                        Toast.makeText(m_parentActivity, ex.getLocalizedMessage(), Toast.LENGTH_SHORT).show();
                    }
                    break;
            }
        }
    };

    @Override public void onActivityResult(int requestCode, int resultCode, Intent data) {
        if(requestCode == 0){

        }
    }

    @Override public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Nullable @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.debug_layout, container, false);
        btnGetLabels = view.findViewById(R.id.btnGetLabels);
        btnGetLabels.setOnClickListener(clickListener);
        return view;
    }

    @Override public String getPrintData() {
        return null;
    }

    @Override public SparseArray<variable> getVariables() {
        return null;
    }

    @Override public void PromptVariables(SparseArray<variable> vars) {

    }
}
