package utils;

import androidx.annotation.Nullable;
import android.util.Log;
import ru.scancode.GodexPrintTest.BuildConfig;

public class logger{
    private static String m_tag="mobile_print";

    public logger(String tag) {
        m_tag=tag;
    }

    public static void write(@Nullable String msg){
        if(msg==null)
            return;

        if(BuildConfig.DEBUG){
            debug(msg);
        }
        else{
            info(msg);
        }
    }

    public static void debug(String msg){
        if(BuildConfig.DEBUG) {
            Log.d(m_tag, msg);
        }
    }

    public static void info(String msg){
        Log.i(m_tag, msg);
    }
}
